#pragma once

#include "CoreMinimal.h"
#include "Factories/Factory.h"
#include "DialogueTreeFactory.generated.h"

UCLASS()
class UDialogueTreeFactory : public UFactory
{
	GENERATED_BODY()

public:
	UDialogueTreeFactory();

	virtual UObject* FactoryCreateNew(UClass* Class, UObject* InParent, FName Name, EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn) override;
	virtual FText GetDisplayName() const override;
	virtual FString GetDefaultNewAssetName() const override;
};